| Elektra 0.11.0

Classes | Namespaces
specreader.hpp File Reference

Implements a way to read spec for mounting purposes. More...

`#include <kdb.hpp>`
`#include <backendbuilder.hpp>`
`#include <plugindatabase.hpp>`
`#include <pluginspec.hpp>`
`#include <memory>`
`#include <unordered_map>`

## Classes
class | kdb::tools::SpecBackendBuilder
| Build individual backend while reading specification. More...
class | kdb::tools::SpecReader
| Highlevel interface to build a backend from specification. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Detailed Description

Implements a way to read spec for mounting purposes.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)